'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEventsFromInput = exports.promisesForPopulate = exports.createCallable = undefined;

var _isFunction2 = require('lodash/isFunction');

var _isFunction3 = _interopRequireDefault(_isFunction2);

var _populate = require('./populate');

var _events = require('./events');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @description Create a function if not already one
 * @param {Function|Object|Array|String} Callable function or value of return for new function
 */
var createCallable = exports.createCallable = function createCallable(f) {
  return (0, _isFunction3.default)(f) ? f : function () {
    return f;
  };
};

exports.promisesForPopulate = _populate.promisesForPopulate;
exports.getEventsFromInput = _events.getEventsFromInput;
exports.default = {
  createCallable: createCallable,
  promisesForPopulate: _populate.promisesForPopulate,
  getEventsFromInput: _events.getEventsFromInput
};